@echo off
echo Programm for delite *.wav files
echo ===============================
if '%1'=='' goto check
if exist %1\*.wav goto delete1
dir %1
echo =============================
echo no files for delete
goto end

:delete1 
dir %1
del  /p %1\*.wav
dir %1
goto end

:check
if exist *.wav goto delete2
echo =============================
echo no files for deleting
dir
goto end

:delete2
dir
del /p *.wav
dir

:end
pause